LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTextRange Interface Referencepublished

describes the object's position in a text. More...

`import"XTextRange.idl";`

Inheritance diagram for XTextRange:

## Public Member Functions
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

describes the object's position in a text.

It represents a text range. The beginning and end of the range may be identical.

## Member Function Documentation

## ◆ getEnd()

XTextRange getEnd | ( |  | ) |

Returns
  a text range which contains only the end of this text range.

## ◆ getStart()

XTextRange getStart | ( |  | ) |

Returns
  a text range which contains only the start of this text range.

## ◆ getString()

string getString | ( |  | ) |

Returns
  the string that is included in this text range.

## ◆ getText()

XText getText | ( |  | ) |

Returns
  the text interface in which the text position is contained.

## ◆ setString()

void setString | ( | [in] string | aString | ) |

the whole string of characters of this piece of text is replaced.

All styles are removed when applying this method.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextRange.idl